## ros-galactic-multires-image 2.2.0

=== CMakeLists.txt ===
### SET CMAKE POLICIES ###
cmake_minimum_required(VERSION 3.10...3.17)

if(${CMAKE_VERSION} VERSION_LESS 3.12)
    cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
endif()

if (NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(${CMAKE_VERSION} VERSION_EQUAL "3.11.0" OR ${CMAKE_VERSION} VERSION_GREATER "3.11.0")
  cmake_policy(SET CMP0072 NEW)
endif()

if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()
### END CMAKE POLICIES ###

project(multires_image
  LANGUAGES CXX)

find_package(ament_cmake REQUIRED)
find_package(cv_bridge REQUIRED)
find_package(gps_msgs REQUIRED)
find_package(mapviz REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp  REQUIRED)
find_package(tf2 REQUIRED)
find_package(swri_transform_util  REQUIRED)
find_package(swri_math_util REQUIRED)

### Boost ###
find_package(Boost REQUIRED filesystem thread)

### OpenGL ###
find_package(OpenGL REQUIRED)

### OpenCV ###
# multires_image doesn't directly use OpenCV, but it uses swri_transform_util, and
# we need to include OpenCV to make one of its headers compile.
find_package(OpenCV COMPONENTS core imgproc REQUIRED)

find_package(Qt5Core REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5OpenGL REQUIRED)
find_package(Qt5Widgets REQUIRED)
add_definitions(-DWFlags=WindowFlags)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Build libtile_cache
set(TILE_SRC_FILES 
   src/tile.cpp
   src/tile_cache.cpp
   src/tile_set.cpp
   src/tile_set_layer.cpp)

qt5_wrap_cpp(TILE_SRC_FILES include/${PROJECT_NAME}/tile_cache.h)

add_library(${PROJECT_NAME} 
  ${TILE_SRC_FILES}
)
target_include_directories(${PROJECT_NAME}
  PUBLIC
    include)
target_link_libraries(${PROJECT_NAME}
  ${Boost_LIBRARIES}
  OpenGL::GL
  Qt5::Core
  Qt5::Gui
  Qt5::OpenGL
  Qt5::Widgets
)
ament_target_dependencies(${PROJECT_NAME}
  ament_cmake
  cv_bridge
  gps_msgs
  mapviz
  pluginlib
  rclcpp 
  tf2
  swri_transform_util 
  swri_math_util
)

# Build libmultires_widget
set(UI_FILES
  src/QGLMap.ui
  src/multires_config.ui
)
set(WIDGET_SRC_FILES src/tile_view.cpp src/QGLMap.cpp)

qt5_wrap_ui(WIDGET_SRC_FILES ${UI_FILES})
qt5_wrap_cpp(WIDGET_SRC_FILES include/${PROJECT_NAME}/QGLMap.h)

add_library(multires_widget
  ${WIDGET_SRC_FILES}
)
target_link_libraries(multires_widget
  ${PROJECT_NAME}
  OpenGL::GL
  Qt5::Core
  Qt5::Gui
  Qt5::OpenGL
  Qt5::Widgets
)

# Build nodes
set(VIEW_NODE_SRC_FILES src/nodes/multires_view_node.cpp)
qt5_wrap_cpp(VIEW_NODE_SRC_FILES include/${PROJECT_NAME}/multires_view_node.h)
add_executable(multires_view_node ${VIEW_NODE_SRC_FILES})
target_link_libraries(multires_view_node
  multires_widget
  Boost::filesystem
  Boost::thread
)
ament_target_dependencies(multires_view_node
  ament_cmake
  rclcpp
  swri_transform_util
)

# Build mapviz plugin
set(MAPVIZ_SRC_FILES 
  src/${PROJECT_NAME}_plugin.cpp
  src/multires_view.cpp)
qt5_wrap_ui(MAPVIZ_SRC_FILES src/multires_config.ui)
qt5_wrap_cpp(MAPVIZ_SRC_FILES include/${PROJECT_NAME}/${PROJECT_NAME}_plugin.h)

add_library(${PROJECT_NAME}_plugin SHARED
  ${MAPVIZ_SRC_FILES}
)
target_compile_definitions(${PROJECT_NAME}_plugin PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")
target_link_libraries(${PROJECT_NAME}_plugin
  ${PROJECT_NAME}
)

### Install ${PROJECT_NAME} plugin ###
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME}
  FILES_MATCHING PATTERN "*.h"
)

install(TARGETS ${PROJECT_NAME}
  multires_view_node
  multires_widget
  ${PROJECT_NAME}_plugin
  RUNTIME DESTINATION lib/${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

install(PROGRAMS nodes/mapviz_tile_loader
  DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY launch
  DESTINATION share/${PROJECT_NAME}
  FILES_MATCHING PATTERN ".py" PATTERN ".launch"
)

pluginlib_export_plugin_description_file(mapviz mapviz_plugins.xml)

ament_export_dependencies(${RUNTIME_DEPS} Qt)
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_package()

=== debian/changelog ===
ros-galactic-multires-image (2.2.0-3focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- P. J. Reed <preed@swri.org>  Tue, 21 Dec 2021 16:28:55 -0000

ros-galactic-multires-image (2.1.0-3focal) focal; urgency=high

  * ROS Foxy support (#695 <https://github.com/swri-robotics/mapviz/issues/695>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 22 Oct 2020 00:00:00 -0000

ros-galactic-multires-image (2.0.0-3focal) focal; urgency=high

  * Port mapviz to ROS 2 (#672 <https://github.com/swri-robotics/mapviz/issues/672>)
  * Remove OpenGL warning (#667 <https://github.com/swri-robotics/mapviz/issues/667>)
  * Contributors: Daniel D'Souza, P. J. Reed, Jacob Hassold, Kevin Nickels, Roger Strain

 -- P. J. Reed <preed@swri.org>  Wed, 13 May 2020 00:00:00 -0000

ros-galactic-multires-image (1.2.0-3focal) focal; urgency=high

  * Use local_xy_origin for loading tiles of GPSFix not available (#634 <https://github.com/swri-robotics/mapviz/issues/634>)
  * Contributors: agyoungs

 -- P. J. Reed <preed@swri.org>  Wed, 04 Sep 2019 00:00:00 -0000

ros-galactic-multires-image (1.1.1-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 17 May 2019 00:00:00 -0000

ros-galactic-multires-image (1.1.0-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 20 Feb 2019 00:00:00 -0000

ros-galactic-multires-image (1.0.1-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 25 Jan 2019 00:00:00 -0000

ros-galactic-multires-image (1.0.0-3focal) focal; urgency=high

  * Sharing tf_manager_ between main app and plugins (#555 <https://github.com/swri-robotics/mapviz/issues/555>)
  * Contributors: Davide Faconti

 -- P. J. Reed <preed@swri.org>  Wed, 23 Jan 2019 00:00:00 -0000

ros-galactic-multires-image (0.3.0-3focal) focal; urgency=high

  * Merge all -devel branches into a single master branch
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 16 Nov 2018 00:00:00 -0000

ros-galactic-multires-image (0.2.6-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 31 Jul 2018 00:00:00 -0000

ros-galactic-multires-image (0.2.5-3focal) focal; urgency=high

  * Add ability to set offset for multires image (#565 <https://github.com/swri-robotics/mapviz/issues/565>)
  * Fix multires image scale when projection is WGS84.
  * update to use non deprecated pluginlib macro
  * Mapviz tile loader (Kinetic) (#509 <https://github.com/swri-robotics/mapviz/issues/509>)
  * Change package.xml dep order
  * Support transparent tiles in multires_image
  * Contributors: Marc Alban, Mikael Arguedas, P. J. Reed, jgassaway

 -- P. J. Reed <preed@swri.org>  Thu, 12 Apr 2018 00:00:00 -0000

ros-galactic-multires-image (0.2.4-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 11 Aug 2017 00:00:00 -0000

ros-galactic-multires-image (0.2.3-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 10 Dec 2016 00:00:00 -0000

ros-galactic-multires-image (0.2.2-3focal) focal; urgency=high

  * Migrated OpenCV to 3.1 (default in Kinetic)
  * Contributors: Brian Holt

 -- P. J. Reed <preed@swri.org>  Wed, 07 Dec 2016 00:00:00 -0000

ros-galactic-multires-image (0.2.1-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 23 Oct 2016 00:00:00 -0000

ros-galactic-multires-image (0.2.0-3focal) focal; urgency=high

  * Update Qt to version 5
  * Contributors: Ed Venator

 -- P. J. Reed <preed@swri.org>  Thu, 23 Jun 2016 00:00:00 -0000

ros-galactic-multires-image (0.1.3-3focal) focal; urgency=high

  * Implement service for adding and modifying mapviz displays.
  * Fix for #339 <https://github.com/swri-robotics/mapviz/issues/339>; explicitly depending on OpenCV 2
  * Contributors: Marc Alban, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 20 May 2016 00:00:00 -0000

ros-galactic-multires-image (0.1.2-3focal) focal; urgency=high

  * Enables the possibility to load a one-layer tile set
  * Contributors: Vincent Rousseau

 -- P. J. Reed <preed@swri.org>  Wed, 06 Jan 2016 00:00:00 -0000

ros-galactic-multires-image (0.1.1-3focal) focal; urgency=high

  * Use extension from geo file
  * Contributors: Vincent Rousseau

 -- P. J. Reed <preed@swri.org>  Tue, 17 Nov 2015 00:00:00 -0000

ros-galactic-multires-image (0.1.0-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 29 Sep 2015 00:00:00 -0000

ros-galactic-multires-image (0.0.3-3focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 28 Sep 2015 00:00:00 -0000

ros-galactic-multires-image (0.0.2-3focal) focal; urgency=high

  * Adds missing qt4_opengl dependency

 -- P. J. Reed <preed@swri.org>  Sun, 27 Sep 2015 00:00:00 -0000

ros-galactic-multires-image (0.0.1-3focal) focal; urgency=high

  * Renames all marti_common packages that were renamed.
    (See http://github.com/swri-robotics/marti_common/issues/231)
  * Fixes catkin_lint problems that could prevent installation.
  * Cleans up dependencies
  * Adds find_package(OpenCV REQUIRED) to cmake config
  * fixes lint issues
  * updates cmake version to squash the CMP0003 warning
  * removes dependencies on build_tools
  * uses format 2 package definition
  * fix missing organization in license text
  * exports the multires_image library
  * catkinizes mapviz
  * changes license to BSD
  * adds license and readme files
  * Contributors: Ed Venator, Edward Venator, Jerry Towler, Marc Alban, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Sun, 27 Sep 2015 00:00:00 -0000

=== debian/control ===
Source: ros-galactic-multires-image
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libqt5core5a, libqt5opengl5-dev, qt5-qmake, ros-galactic-ament-cmake, ros-galactic-cv-bridge, ros-galactic-geometry-msgs, ros-galactic-gps-msgs, ros-galactic-mapviz, ros-galactic-pluginlib, ros-galactic-rclcpp, ros-galactic-swri-math-util, ros-galactic-swri-transform-util, ros-galactic-tf2, ros-galactic-ros-workspace
Homepage: https://github.com/swri-robotics/mapviz
Standards-Version: 3.9.2

Package: ros-galactic-multires-image
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5opengl5, ros-galactic-cv-bridge, ros-galactic-geometry-msgs, ros-galactic-gps-msgs, ros-galactic-mapviz, ros-galactic-pluginlib, ros-galactic-rclcpp, ros-galactic-rclpy, ros-galactic-swri-math-util, ros-galactic-swri-transform-util, ros-galactic-tf2, ros-galactic-ros-workspace
Description: multires_image

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-multires-image//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
